<?
defined('_VALID_MOS') or die('Direct Access to this location is not allowed.');

global $my;
global $action;
global $id;

// include euromillion.class.php
require_once('administrator/components/com_euromillion/euromillion.class.php');

// include common.php
require_once('administrator/components/com_euromillion/common.php');

// include configuration.php in order to get the $mosConfig_offset variable
require_once('configuration.php');

// get the userId
$userId = $my->id;

// if user is not authenticated then ask the user to login
if ($userId == 0) {
  echo "<br><br>";
  echo "<div align=\"center\">Accs priv !<br>Veuillez vous identifier.</div>";
  return;
}

// ---------------------------
// - 1) Get the current Game -
// ---------------------------
$currentGame = getCurrentGame();

// -----------------------------------
// - 2) Check if the Bets are opened -
// -----------------------------------
$areBetsOpened = areBetsOpened($currentGame);

// --------------------------------
// - 3) Execute the action if any -
// --------------------------------
// Check if a new Bet has been Created
if ($action == "create") {
  createBet($userId, $areBetsOpened);
}
// Check if a Bet has been Updated
else if ($action == "update") {
  updateBet($userId, $id, $areBetsOpened);
}
// Check if a Bet has been Deleted
else if ($action == "delete") {
  deleteBet($userId, $id, $areBetsOpened);
}
// Check if a Payment has been Requested
else if ($action == "pay") {
  processPayment($userId);
}

// -------------------------
// - 4) Display the header -
// -------------------------
showHeader($userId, $currentGame);

// ------------------------
// - 5) Display the Games -
// ------------------------
showGames($userId, $currentGame, $areBetsOpened, $action, $id);

// ---------------------
// showHeader function -
// ---------------------
function showHeader($userId, $currentGame) {
  global $database;
  global $mosConfig_offset;

  // display the current date and time
  $currentDateTime = time() + ($mosConfig_offset*3600);
  echo "<div align=\"center\">Date et heure courrante : " . date("d-m-Y, H:i:s", $currentDateTime) . "</div>";
  
  // Current game has been found
  if ($currentGame != 0) {
    $gameDate = $currentGame->date;
    
    // get the closedTime
    $closedTime = $currentGame->closedTime;
    
    // split time into hour and min
    $timeSep = explode(":", $closedTime);
    $hour = $timeSep[0];
    $min = $timeSep[1];
    
    // compute closed time before the Bets will be closed
    $closedDateTime = strtotime($gameDate) + $hour*3600 + $min*60;
    
    // display the remaining time before the Bets will be closed
    $diffDateTime = $closedDateTime - $currentDateTime;
    if ($diffDateTime > 0) {
      $diffDay = floor($diffDateTime / (24*60*60));
      $diffHour = floor(($diffDateTime / (60*60)) - $diffDay*(24));
      $diffMin = floor(($diffDateTime / (60)) - $diffHour*(60) - $diffDay*(24*60));
      $diffSec = $diffDateTime - $diffMin*(60) - $diffHour*(60*60) - $diffDay*(24*60*60);

      echo "<div align=\"center\"><span style=\"color:#FF0000;\">Temps restant avant la fin des mises : " . $diffDay . " j, " . $diffHour . "h " . $diffMin . "m " . $diffSec . "s</span></div><br>";
    }
    else {
      echo "<div align=\"center\"><span style=\"color:#FF0000;\">Les paris sont termins !</span></div><br>";
    }
  }  

  // get the amount of the user account
  $database->setQuery("SELECT amount FROM #__em_account WHERE userId = '" . $userId . "'");
  $rows = $database->loadObjectList();
  if (count($rows) == 1) {
    $amount = $rows[0]->amount;
    echo "<div align=\"right\"><b>Solde : ". truncate($amount, 2) . "&nbsp;&euro;</b></div>";
  }
  else {
    echo "<div align=\"right\"><span style=\"color:#FF0000;\"><b>Pas de compte !</b></span></div>";
  }
  
  // display the Paypal button
  echo "<div align=\"center\"><img border=0 src=\"http://www.yehmann.com/divers/logo.gif\" alt=\"Ralisez vos paiements avec PayPal - c'est rapide et sr !\"></a></div>";
  echo "<div align=\"center\">Pour recharger son compte, il faut me donner l'argent par avance. N'hsitez pas a me contacter pour plus d'informations</div><br>";
}

// --------------------
// showGames function -
// --------------------
function showGames($userId, &$currentGame, $areBetsOpened, $action, $id) {
  global $database;
  global $mosConfig_offset, $mainframe, $mosConfig_absolute_path;
  
  // get the current date and time
  $currentDateTime = time() + ($mosConfig_offset*3600);
  
  // compute the limit date and time
  // a game is a previous game when the current date and time is one day after the game date
  // ie : date + 1day > currentDateTime + offSet
  $limitDateTime = $currentDateTime - 24*3600;

  // create the query that gets the total of previous games plus the current game
  $query = "SELECT COUNT(*) FROM #__em_game WHERE date < FROM_UNIXTIME(" . $limitDateTime . ")";
  if ($currentGame != 0) {
    $query .= " OR id = " . $currentGame->id;
  }
  $query .= " ORDER BY date DESC";
  $database->setQuery($query);
  $total = $database->loadResult();

  // no games have been found
  if ($total == 0) {
    echo "<table><tr><td><b>Aucun tirage n'est disponible</b></td></tr></table>";
    return;
  }

  // create the pageNav
  // get the $limit and $limitstart variables from the request
  $limit = intval(mosGetParam($_REQUEST, 'limit', ''));
  $limitstart = intval(mosGetParam($_REQUEST, 'limitstart', 0));
  $limit = $limit ? $limit : 2;
  if ($total <= $limit) $limitstart = 0;
  require_once($GLOBALS['mosConfig_absolute_path'] . '/includes/pageNavigation.php');
  $pageNav = new mosPageNav($total, $limitstart, $limit);

  // get the displayed games
  $query = "SELECT id, date, winNumbers, winStars FROM #__em_game WHERE date < FROM_UNIXTIME(" . $limitDateTime . ")";
  if ($currentGame != 0) {
    $query .= " OR id = " . $currentGame->id;
  }
  $query .= " ORDER BY date DESC LIMIT $pageNav->limitstart, $pageNav->limit";
  $database->setQuery($query);
  $rows = $database -> loadObjectList();

  // display the games
  for($i=0; $i < count( $rows ); $i++) {
    
    $row = $rows[$i];
    if ($row->id == $currentGame->id) {
      showCurrentGame($userId, $currentGame, $areBetsOpened, $action, $id);
    }
    else {
      showPreviousGame($row);
    }
  }
  
  // display the pageNav footer
  echo "<br>";
  echo "<center>";
  echo $pageNav->writePagesCounter();
  echo "<br>";
  echo $pageNav->writePagesLinks(getComponentURL());
  echo "</center>";
}

// --------------------------
// showCurrentGame function -
// --------------------------
function showCurrentGame($userId, &$currentGame, $areBetsOpened, $action, $id) {
  global $database;
  
  // Current game has been found
  // get the sum of the Bets for the current game
  $sum = getTotalBetAmount($currentGame->id);

  // get the grids for the current game
  $database->setQuery("SELECT playNumbers, playStars, value FROM #__em_grid WHERE gameId = '" . $currentGame->id . "' ORDER BY value DESC");
  $grids = $database->loadObjectList();
  
  echo "<table>";
  echo "<tr><td><b>Prochain tirage : " . mosFormatDate($currentGame->date, '%d-%m-%Y', 0) . "</b></td></tr>";
  echo "<tr><td><b>Total Mises : " . truncate($sum, 2) . "&nbsp;&euro;</b></td></tr>";
  if (count($grids) > 0) {
    echo "<tr><td>";
    echo "  <table>";
    echo "    <tr bgcolor=\"#000000\" style=\"color:#FFFFFF;\">";
    echo "    <th>Grille</th>";
    echo "    <th>Numros jous</th>";
    echo "    <th>Etoiles joues</th>";
    echo "    <th>Valeur</th>";
    echo "    </tr>";
    for($i=0; $i < count( $grids ); $i++) {
      $grid = $grids[$i];
      echo "    <tr bgcolor=\"#F3F3F3\"><td>" . ($i + 1) . "</td>";
      echo "    <td>" . showSmallNumbers($grid->playNumbers) . "</td>";
      echo "    <td>" . showSmallStars($grid->playStars) . "</td>";
      echo "    <td>" . $grid->value . "&nbsp;&euro;</td></tr>";
    }
    echo "  </table>";
    echo "</td></tr>";
  }
  echo "</table>";
  echo "<br>";

  // get the all the Bets for the current Game
  $database->setQuery("SELECT U.name AS userName, B.id, B.userId, B.amount, B.date FROM #__em_bet B, #__em_game G, #__users U WHERE B.gameId = G.id AND B.userId = U.id AND B.gameId = '". $currentGame->id . "' ORDER BY B.date DESC");
  $rows = $database->loadObjectList();

  echo "<table>";
  echo "<tr bgcolor=\"#FF0000\" style=\"color:#FFFFFF;\">";
  echo "<th>Participant</th>";
  echo "<th>Mise&nbsp;&euro;</th>";
  echo "<th>Mise&nbsp;%</th>";
  echo "<th>Date</th>";
  echo "<th>Actions</th>";
  echo "</tr>";
  foreach($rows as $bet) {
    echo "<tr bgcolor=\"#F3F3F3\"><form name=\"form2\" METHOD=\"POST\" ACTION=\"" . getComponentURL() . "\">";
    echo "<td>" . $bet->userName . "</td>";
    // If the update link has been clicked, then allow the user to change the amount of the bet
    if ($action == "init-update" && $id == $bet->id && $areBetsOpened) {
      echo "<td>";
      echo "    <input type=\"TEXT\" name=\"amount\" size=5 value=" . $bet->amount . ">&nbsp;&euro;";
      echo "    <input type=\"HIDDEN\" name=\"action\" value=\"update\">";
      echo "    <input type=\"HIDDEN\" name=\"id\" value=" . $bet->id . ">";
      echo "</td>";
    }
    else {
      echo "<td>" . $bet->amount . "&nbsp;&euro;</td>";
    }
    echo "<td>" . truncate(($bet->amount / $sum) * 100, 2) . "&nbsp%</td>";
    echo "<td>" . mosFormatDate($bet->date, '%d-%m-%Y %H:%M') . "</td>";
    echo "<td>";
    // Set the actions link only for bets of the current user
    if ($bet->userId == $userId && $areBetsOpened){
      if ($action == "init-update" && $id == $bet->id) {
        echo "  <input type=\"SUBMIT\" name=\"submit\" class=\"button\" value=\"Accepter\">";
        echo "  <input type=\"BUTTON\" name=\"cancel\" value=\"Annuler\" class=\"button\" onclick=\"window.location = '" . getComponentURL() . "';\">";
      }
      else {
        echo "  <a href=\"" . getComponentURL() . "&action=init-update&id=" . $bet->id . "\">Modifier</a>";
        echo "  <a href=\"" . getComponentURL() . "&action=delete&id=" . $bet->id . "\">Supprimer</a>";
      }
    }
    echo "</td>";
    echo "</form></tr>";
  }
  echo "</table>";

  // bet form
  echo "<table>";
  if ($areBetsOpened) {
    echo "<tr><td>";
    echo "  <form name=\"form1\" METHOD=\"POST\" ACTION=\"" . getComponentURL() . "\">";
    echo "    <input type=\"SUBMIT\" name=\"submit\" class=\"button\" value=\"Misez\">";
    echo "    <input type=\"TEXT\" name=\"amount\" size=5>";
    echo "    &nbsp;&euro;";
    echo "    <input type=\"HIDDEN\" name=\"action\" value=\"create\">";
    echo "    <input type=\"HIDDEN\" name=\"gameId\" value=" . $currentGame->id . ">";
    echo "    <input type=\"HIDDEN\" name=\"userId\" value=" . $userId . ">";
    echo "  </form>";
    echo "</td></tr>";
  }
  else {
    echo "<tr><td>&nbsp;</td></tr>";
  }
  echo "</table>";
}

// ---------------------------
// showPreviousGame function -
// ---------------------------
function showPreviousGame(&$previousGame) {
  global $database;

  // Previous game has been found
  // get the total amount of the Bets for the previous game
  $totalBet = getTotalBetAmount($previousGame->id);
  
  // get the total profit of the Grid for the previous game
  $totalGrid = getTotalGridProfit($previousGame->id);

  // get the grids for the previous game
  $database->setQuery("SELECT playNumbers, playStars, value, profit FROM #__em_grid WHERE gameId = '" . $previousGame->id . "' ORDER BY value DESC");
  $grids = $database->loadObjectList();

  echo "<table>";
  echo "  <tr><td><b>Prcdent tirage : " . mosFormatDate($previousGame->date, '%d-%m-%Y', 0) . "</b></td></tr>";
  echo "  <tr><td>" . showBigNumbers($previousGame->winNumbers) . showBigStars($previousGame->winStars) . "</td></tr>";
  echo "  <tr><td><b>Total Mises : " . truncate($totalBet, 2) . "&nbsp;&euro;</b></td></tr>";
  echo "  <tr><td><b>Total Gains : " . truncate($totalGrid, 2) . "&nbsp;&euro;</b></td></tr>";
  if (count($grids) > 0) {
    echo "<tr><td>";
    echo "  <table>";
    echo "    <tr bgcolor=\"#000000\" style=\"color:#FFFFFF;\">";
    echo "    <th>Grille</th>";
    echo "    <th>Numros jous</th>";
    echo "    <th>Etoiles joues</th>";
    echo "    <th>Valeur</th>";
    echo "    <th>Gain</th>";
    echo "    </tr>";
    for($i=0; $i < count( $grids ); $i++) {
      $grid = $grids[$i];
      echo "    <tr bgcolor=\"#F3F3F3\"><td>" . ($i + 1) . "</td>";
      echo "    <td>" . showSmallNumbers($grid->playNumbers) . "</td>";
      echo "    <td>" . showSmallStars($grid->playStars) . "</td>";
      echo "    <td>" . $grid->value . "&nbsp;&euro;</td>";
      echo "    <td>" . $grid->profit . "&nbsp;&euro;</td></tr>";
    }
    echo "  </table>";
    echo "</td></tr>";
  }
  echo "</table>";
  echo "<br>";
 
  // get the all the Bets for the previous Game
  $database->setQuery("SELECT U.name as userName, B.amount, B.profit, B.date FROM #__em_bet B, #__users U WHERE B.userId = U.id AND gameId = '". $previousGame->id . "' ORDER BY B.date DESC");
  $rows = $database->loadObjectList();
  
  echo "<table>";
  echo "  <tr bgcolor=\"#FF0000\" style=\"color:#FFFFFF;\">";
  echo "    <th>Participant</th>";
  echo "    <th>Mise&nbsp;&euro;</th>";
  echo "    <th>Mise&nbsp;%</th>";
  echo "    <th>Date</th>";
  echo "    <th>Gain</th>";
  echo "  </tr>";
  foreach($rows as $bet) {
    echo "  <tr bgcolor=\"#F3F3F3\">";
    echo "    <td>" . $bet->userName . "</td>";
    echo "    <td>" . $bet->amount . "&nbsp;&euro;</td>";
    echo "    <td>" . truncate(($bet->amount / $totalBet) * 100, 2) . "&nbsp%</td>";
    echo "    <td>" . mosFormatDate($bet->date, '%d-%m-%Y %H:%M') . "</td>";
    echo "    <td>" . truncate($bet->profit, 2) . "&nbsp;&euro;</td>";
    echo "  </tr>";
  }
  echo "</table>";
}

// ----------------------------
// getTotalBetAmount function -
// ----------------------------
function getTotalBetAmount($gameId) {
  global $database;
  
  // get the sum of the Bets for the current game
  $database->setQuery("SELECT SUM(amount) AS totalBet FROM #__em_bet WHERE gameId = '" . $gameId . "'");
  $sums = $database->loadObjectList();
  $sum = $sums[0] -> totalBet;
  
  return $sum;
}

// -----------------------------
// getTotalGridProfit function -
// -----------------------------
function getTotalGridProfit($gameId) {
  global $database;

  $database->setQuery("SELECT SUM(profit) AS totalGrid FROM #__em_grid WHERE gameId = '" . $gameId . "'");
  $sums = $database->loadObjectList();
  $sum = $sums[0] -> totalGrid;
  
  return $sum;
}

// ------------------
// saveBet function -
// ------------------
function saveBet($userId) {
  global $database;

  // check if the submitted amount is strictly positive
  if ($_POST['amount'] <= 0) {
    echo "<script> alert('Opration impossible ! <" . $_POST['amount'] . "> n\'est pas un montant valide, merci de ressayer avec un montant valide.'); window.history.go(-1); </script>\n";
    exit();
  }

  $row = new Bet($database);

  // set the date to the current date
  $_POST['date'] = date("Y-m-d H:i", time());
    
  // bind the Bet to the table
  if (!$row -> bind($_POST)) {
    echo "<script> alert('"
      .$row -> getError()
      ."'); window.history.go(-1); </script>\n";
    exit();
  }

  // get the previous amount of the Bet, if its a new Bet assume the previous amount was 0
  $previousAmount = 0;
  if ($row->id != 0) {
    $database->setQuery("SELECT amount FROM #__em_bet WHERE id = '" . $row->id . "'");
    $amountRows = $database->loadObjectList();
    $previousAmount = $amountRows[0] -> amount;
  }

  // decrement the amount of the Account
  $diffAmount = $row->amount - $previousAmount;
  decrementAccountAmount($userId, $diffAmount);

  // store the Bet in the db
  if (!$row -> store()) {
    echo "<script> alert('"
      .$row -> getError()
      ."'); window.history.go(-1); </script>\n";
    exit();	
  }
}

// --------------------
// createBet function -
// --------------------
function createBet($userId, $areBetsOpened) {
  if ($areBetsOpened) {
    // save the bet
    saveBet($userId);
  }
}

// --------------------
// updateBet function -
// --------------------
function updateBet($userId, $id, $areBetsOpened) {
  global $database;
  
  if ($areBetsOpened) {
    // First load the existing bet
    $row = new Bet($database);
    if ($id) {
      $row->load($id);
    }
  
    // Check if the userId of the bet is the current userId
    if ($row->userId == $userId) {
      // save the bet
      saveBet($userId);
    }
  }
}

// --------------------
// deleteBet function -
// --------------------
function deleteBet($userId, $id, $areBetsOpened) {
  global $database;

  if ($areBetsOpened) {
    // get the userId and amount of the Bet to delete
    $database->setQuery("SELECT userId, amount FROM #__em_bet \nWHERE id = '" . $id . "'");
    $betRows = $database->loadObjectList();
    $betUserId = $betRows[0]->userId;
    $betAmount = $betRows[0]->amount;
				
    // Check if the userId of the bet is the current userId
    if ($betUserId == $userId) {
      // increment the amount of the Account for the amount of the current Bet
      incrementAccountAmount($userId, $betAmount);
		
      // delete the Bet
      $database->setQuery("DELETE FROM #__em_bet \nWHERE id = '" . $id . "'");
      if (!$database->query()) {
        echo "<script> alert('"
          .$database -> getErrorMsg()
          ."'); window.history.go(-1); </script>\n";
      }
    }
  }
}

// -------------------------
// processPayment function -
// -------------------------
function processPayment($userId) {
  global $database;
  global $mosConfig_offset;

  $row = new Payment($database);

  // set the userId
  $_POST['userId'] = $userId;

  // set the date/time to the current date/time
  $currentDateTime = date("Y-m-d H:i:s", time());
  $_POST['date'] = $currentDateTime;

  // set the status to Created
  $_POST['status'] = "Created";

  // bind the Payment to the table
  if (!$row -> bind($_POST)) {
    echo "<script> alert('"
      .$row -> getError()
      ."'); window.history.go(-1); </script>\n";
    exit();
  }

  // store the Payment in the db
  if (!$row -> store()) {
    echo "<script> alert('"
      .$row -> getError()
      ."'); window.history.go(-1); </script>\n";
    exit();	
  }

  // get back the Payment id
  $database->setQuery("SELECT id FROM #__em_payment \nWHERE date = '" . $currentDateTime . "'");
  $rows = $database->loadObjectList();
  $paymentId = $rows[0]->id;

  // forward the user to the paypal page
  // SYP DEBUG URL $payPalURL = "https://www.sandbox.paypal.com/cgi-bin/webscr?cmd=_xclick&business=masociete%40myhost%2ecom&item_name=Recharge&item_number=1&no_shipping=0&invoice=$paymentId&return=http%3a%2f%2fwww%2eeurowinners%2enet%2findex%2ephp%3foption%3dcom_euromillion&cancel_return=http%3a%2f%2fwww%2eeurowinners%2enet%2findex%2ephp%3foption%3dcom_euromillion&no_note=1&currency_code=EUR&lc=FR&charset=UTF%2d8&charset=UTF%2d8";
  $payPalURL = "https://www.paypal.com/cgi-bin/webscr?cmd=_xclick&business=paiement%40eurowinners%2enet&item_name=Recharge%20Compte%20Eurowinners&item_number=1&no_shipping=1&invoice=$paymentId&return=http%3a%2f%2fwww%2eeurowinners%2enet%2findex%2ephp%3foption%3dcom_euromillion&cancel_return=http%3a%2f%2fwww%2eeurowinners%2enet%2findex%2ephp%3foption%3dcom_euromillion&no_note=1&currency_code=EUR&lc=FR&charset=UTF%2d8&charset=UTF%2d8";
  mosRedirect($payPalURL);
}

// ------------------------
// areBetsOpened function -
// ------------------------
function areBetsOpened(&$currentGame) {
  global $mosConfig_offset;

  // No current game has been found
  if ($currentGame == 0) {
    return false;
  }

  // A current game has been found
  $gameDate = $currentGame->date;

  // get the current date and time
  $currentDateTime = time() + ($mosConfig_offset*3600);
  
  // get the closedTime
  $closedTime = $currentGame->closedTime;
  
  // split closedTime into hour and min
  $timeSep = explode(":", $closedTime);
  $hour = $timeSep[0];
  $min = $timeSep[1];
    
  // compute closed date and time before the Bets will be closed
  $closedDateTime = strtotime($gameDate) + $hour*3600 + $min*60;
    
  // check if Bets are still opened
  if ($currentDateTime < $closedDateTime) {
    return true;
  }
  else {
    return false;
  }
}

// -------------------------
// getCurrentGame function -
// -------------------------
function getCurrentGame() {
  global $database;
  global $mosConfig_offset;

  // get the current date and time
  $currentDateTime = time() + ($mosConfig_offset*3600);
  
  // compute the limit date and time
  // a game is no more a current game when the current date and time is one day after the game date
  // ie : date + 1day > currentDateTime + offSet
  $limitDateTime = $currentDateTime - 24*3600;

  $database->setQuery("SELECT id, date, closedTime FROM #__em_game WHERE date > FROM_UNIXTIME(" . $limitDateTime . ") ORDER BY date LIMIT 1");
  $rows = $database->loadObjectList();
  if (count($rows) != 1) {
    return 0;
  }
  else {
    return $rows[0];
  }
}

// -------------------------
// showBigNumbers function -
// -------------------------
function showBigNumbers($numbers) {
  $tmp = "";
  $array = explode(",", $numbers);
  
  foreach($array as $number) {
    $tmp .= "<div style=\"color : #DF0029; font-family: Arial, Helvetica, sans-serif; font-size: 12px; font-weight: bold; border-style:solid; border-width:1px; padding:3px; margin-right:4px; margin-top:1px; float:left;\">";
    $tmp .= $number;
    $tmp .= "</div>";
  }

  return $tmp;
}

// ---------------------------
// showSmallNumbers function -
// ---------------------------
function showSmallNumbers($numbers) {
  $tmp = "";
  $array = explode(",", $numbers);
  
  foreach($array as $number) {
    $tmp .= "<div style=\"color : #DF0029; font-family: Arial, Helvetica, sans-serif; font-size: 11px; border-style:solid; border-width:1px; padding-top:2px; padding-bottom:1px; padding-left:2px; padding-right:2px; margin-right:3px; margin-top:1px; margin-bottom:1px; float:left;\">";
    $tmp .= $number;
    $tmp .= "</div>";
  }

  return $tmp;
}

// -----------------------
// showBigStars function -
// -----------------------
function showBigStars($stars) {
  global $mosConfig_live_site;

  $tmp = "";
  $array = explode(",", $stars);
  
  foreach($array as $star) {
    $tmp .= "<div style=\"color : #DF0029; font-family: Arial, Helvetica, sans-serif; font-size: 11px; font-weight: bold; padding-top:6px; padding-bottom:3px; padding-left:10px; padding-right:8px; margin-right:4px; margin-top:0px; float:left; background-image:url('$mosConfig_live_site/components/com_euromillion/images/bStar.gif')\">";
    $tmp .= $star;
    $tmp .= "</div>";
  }
    
  return $tmp;
}

// -------------------------
// showSmallStars function -
// -------------------------
function showSmallStars($stars) {
  global $mosConfig_live_site;

  $tmp = "";
  $array = explode(",", $stars);
  
  foreach($array as $star) {
    $tmp .= "<div style=\"color : #DF0029; font-family: Arial, Helvetica, sans-serif; font-size: 11px; padding-top:3px; padding-bottom:0px; padding-left:7px; padding-right:6px; margin-right:2px; margin-top:0px; float:left; background-image:url('$mosConfig_live_site/components/com_euromillion/images/sStar.gif')\">";
    $tmp .= $star;
    $tmp .= "</div>";
  }
    
  return $tmp;
}

// --------------------------
// getComponentURL function -
// --------------------------
function getComponentURL() {
  // get the id of the component to append it to the component URL
  $Itemid = intval(mosGetParam($_REQUEST, 'Itemid', ''));
  
  return "index.php?option=com_euromillion&Itemid=$Itemid";
}

?>
